"""New error state for capability executions

Revision ID: 02b235378270
Revises: b48b587be56b
Create Date: 2021-12-20 16:19:12.610502

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "02b235378270"
down_revision = "b48b587be56b"
branch_labels = None
depends_on = None


def upgrade():
    add_error_state_sql = """
    INSERT INTO capability_states (capability_name, state) VALUES ('null', 'Error');
    INSERT INTO capability_states (capability_name, state) VALUES ('null_dag', 'Error');
    INSERT INTO capability_states (capability_name, state) VALUES ('restore_cms', 'Error');
    INSERT INTO capability_states (capability_name, state) VALUES ('std_calibration', 'Error');
    INSERT INTO capability_states (capability_name, state) VALUES ('std_cms_imaging', 'Error');
    INSERT INTO capability_states (capability_name, state) VALUES ('std_restore_imaging', 'Error');
    INSERT INTO capability_states (capability_name, state) VALUES ('test_download', 'Error');
    """
    op.execute(add_error_state_sql)

    error_instead_of_failed_sql = """
    UPDATE capability_state_transitions SET to_state = 'Error' WHERE pattern = 'type == workflow-failed';
    """
    op.execute(error_instead_of_failed_sql)


def downgrade():
    failed_instead_of_error_sql = """
    UPDATE capability_state_transitions SET to_state = 'Failed' WHERE pattern = 'type == workflow-failed';
    """
    op.execute(failed_instead_of_error_sql)

    remove_error_state_sql = """
    DELETE FROM capability_states WHERE state = 'Error';
    """
    op.execute(remove_error_state_sql)
