"""update download workflow script to fail on error

Revision ID: 7c1f6f0cef32
Revises: a832fcb74a8c
Create Date: 2021-06-30 22:56:03.478526

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "7c1f6f0cef32"
down_revision = "a832fcb74a8c"
branch_labels = None
depends_on = None


def upgrade():
    shell_script_content = """#!/bin/sh
set -o errexit
chmod 770 .
./productfetcher --product-locator $1
./deliver -r . --prefix $2
"""

    op.execute(
        "UPDATE workflow_templates " f"SET content = E'{shell_script_content}' " "WHERE filename = 'test_download.sh'"
    )


def downgrade():
    shell_script_content = """#!/bin/sh
chmod 770 .
./productfetcher --product-locator $1
./deliver -r . --prefix $2
"""

    op.execute(
        "UPDATE workflow_templates " f"SET content = E'{shell_script_content}' " "WHERE filename = 'test_download.sh'"
    )
